Update webhook trigger

Update a webhook trigger's configuration.

Authentication

AuthorizationBearer

Bearer token authentication using JWT tokens from Ory Kratos/Hydra

Path parameters

org_idstringRequiredformat: "uuid"
The organization ID
project_idstringRequiredformat: "uuid"
The project ID
trigger_idstringRequiredformat: "uuid"

Request

This endpoint expects an object.
namestring or nullOptional1-63 characters
A descriptive name for the trigger.
descriptionstring or nullOptional<=255 characters
Additional details about the trigger's purpose.
statusenum or nullOptional

Lifecycle status for the trigger (draft, disabled, enabled).

auth_configmap from strings to any or nullOptional

Authentication configuration (e.g., signature header name).

auth_secretstring or nullOptional

Secret key for authentication (only shown on creation).

payload_mappingmap from strings to any or nullOptional
JSONPath mappings from webhook payload to Task inputs.
include_raw_payloadboolean or nullOptional

Whether to include the entire payload as _raw_payload.

idempotency_key_pathstring or nullOptional<=255 characters
JSONPath to extract idempotency key from payload.
idempotency_ttl_secondsinteger or nullOptional60-604800
How long to remember processed idempotency keys.
task_agent_revision_idstring or nullOptionalformat: "uuid"
Optional pinned TaskAgent revision for TaskAgent triggers.

Response

Successful Response
idstringformat: "uuid"
Unique identifier for the trigger.
target_typeenum
The target resource type for this trigger.
target_idstringformat: "uuid"
The target resource ID for this trigger.
namestring
A descriptive name for the trigger.
statusenum

Lifecycle status for the trigger (draft, disabled, enabled).

endpoint_idstring
Unique endpoint identifier used in the webhook URL.
endpoint_urlstring
Full URL for receiving webhook requests.
auth_methodstring
Authentication method for incoming webhooks.
include_raw_payloadboolean

Whether to include the entire payload as _raw_payload.

idempotency_ttl_secondsinteger
How long to remember processed idempotency keys.
createdstring
When the trigger was created.
modifiedstring
When the trigger was last updated.
created_by_user_idstringformat: "uuid"
User who created the trigger.
task_agent_revision_idstring or nullformat: "uuid"
Optional pinned TaskAgent revision for TaskAgent triggers.
trigger_typestringDefaults to webhook

The type of trigger (webhook for this endpoint).

descriptionstring or null
Additional details about the trigger's purpose.
auth_configmap from strings to any or null

Authentication configuration (e.g., signature header name).

payload_mappingmap from strings to any or null
JSONPath mappings from webhook payload to Task inputs.
idempotency_key_pathstring or null
JSONPath to extract idempotency key from payload.

Errors

400
Bad Request Error
403
Forbidden Error
422
Unprocessable Entity Error